# Uses of Enum
org.eclipse.birt.chart.model.attribute.DateFormatType

Packages that use DateFormatType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of DateFormatType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type DateFormatType
Modifier and Type
Field
Description
`static final List<DateFormatType>`
DateFormatType.`VALUES`
A public read-only list of all the 'Date Format Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return DateFormatType
Modifier and Type
Method
Description
`static DateFormatType`
DateFormatType.`get(int value)`
Returns the 'Date Format Type' literal with the specified integer value.
`static DateFormatType`
DateFormatType.`get(String literal)`
Returns the 'Date Format Type' literal with the specified literal value.
`static DateFormatType`
DateFormatType.`getByName(String name)`
Returns the 'Date Format Type' literal with the specified name.
`DateFormatType`
DateFormatSpecifier.`getType()`
Returns the value of the 'Type' attribute.
`static DateFormatType`
DateFormatType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DateFormatType[]`
DateFormatType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type DateFormatType
Modifier and Type
Method
Description
`void`
DateFormatSpecifier.`setType(DateFormatType value)`
Sets the value of the '`Type`' attribute.

## Uses of DateFormatType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return DateFormatType
Modifier and Type
Method
Description
`DateFormatType`
AttributeFactoryImpl.`createDateFormatTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatType`
AttributeFactoryImpl.`createDateFormatTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatType`
DateFormatSpecifierImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type DateFormatType
Modifier and Type
Method
Description
`void`
DateFormatSpecifierImpl.`setType(DateFormatType newType)`